# parameters for manual debugging of report.Rmd
# set dev_mode <- T


print("Warning: Manual execution")

#workdir <- "/home/carlus/BfR/Projects/Pipeline_test/chewieSnake"
#workdir <- "/cephfs/abteilung4/Projects_NGS/GenoSalmSurv/realtime_cgmlst/salmonella-alleledb"
#workdir <- "/home/carlus/BfR/Projects/salmonella-alleledb"
workdir <- "/home/carlus/BfR/Projects/Pipeline_test/chewieSnake/chewiesnake_join/joined_db"
#allele_profile_file <- file.path(workdir, "merged_db", "allele_profiles.tsv") # not needed

#sample2serovar.file <- "/cephfs/abteilung4/Projects_NGS/GenoSalmSurv/realtime_cgmlst/salmonella-alleledb/BfR/samples2serovars.tsv"
sample2serovar.file <- "/home/carlus/BfR/Projects/Pipeline_test/chewieSnake/chewiesnake_join/sample_serovars.tsv"

allele_stats_file <- file.path(workdir, "merged_db", "allele_statistics.tsv")

distance_matrix_file <- file.path(workdir, "merged_db", "distance_matrix.tsv")
nwk_file  <- file.path(workdir, "merged_db", "grapetree_mstree.tre")
sample_timestamps_file <- file.path(workdir, "merged_db", "timestamps.tsv")
sender_info_file  <- file.path(workdir, "merged_db", "sender_sample_info.tsv")

report_links = file.path(workdir, "merged_db/listofreports.txt")
mapping_sample2externalclustername_file = file.path(workdir, "merged_db/mapping_sample2externalclustername.tsv")
mapping_sample2serovar.file <- file.path(workdir, "merged_db/mapping_sample2serovar.tsv")



cluster_information_file = file.path(workdir, "merged_db/sample_cluster_information.tsv")
orphan_information_file = file.path(workdir, "merged_db/sample_orphan_information.tsv")

# params
exportpath <- file.path(workdir, "merged_db/exported_trees") #
export <- TRUE

parameters <- "xxx"
# clustering_method: "single"
# distance_threshold: 10
# address_range: "1,5,10,20,50,100,200,1000"
# grapetree_distance_method: 3

species_acronym <- "SE"
functions_file <- "functions.R"

distance_threshold <- 10

clustering_method <- "single"
clustering_threshold_range_raw <- "1,5,10,20,50,100,200,1000"



reduce_output <- F
distance_limit <- 50

# log

